org.apache.sysds.runtime.util

## Class BinaryBlockRecordReader

- java.lang.Object
- - org.apache.hadoop.mapred.SequenceFileRecordReader<MatrixIndexes,MatrixBlock>
  - - org.apache.sysds.runtime.util.BinaryBlockRecordReader

All Implemented Interfaces:
  org.apache.hadoop.mapred.RecordReader<MatrixIndexes,MatrixBlock>

    public class BinaryBlockRecordReader
    extends org.apache.hadoop.mapred.SequenceFileRecordReader<MatrixIndexes,MatrixBlock>

Custom record reader for binary block. Currently its only purpose is to allow for detailed profiling of overall read time (io, deserialize, decompress). NOTE: not used by default.

### Constructor Summary

Constructors
Constructor and Description
`BinaryBlockRecordReader(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.mapred.FileSplit split)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `next(MatrixIndexes key, MatrixBlock value)`

### Methods inherited from class org.apache.hadoop.mapred.SequenceFileRecordReader

`createKey, createValue, getKeyClass, getPos, getProgress, getValueClass`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryBlockRecordReader

    public BinaryBlockRecordReader(org.apache.hadoop.conf.Configuration conf,
                                   org.apache.hadoop.mapred.FileSplit split)
                            throws IOException

Throws:
  `IOException`

### Method Detail

#### next

    public boolean next(MatrixIndexes key,
                        MatrixBlock value)
                 throws IOException

Specified by:
  `next` in interface `org.apache.hadoop.mapred.RecordReader<MatrixIndexes,MatrixBlock>`
Overrides:
  `next` in class `org.apache.hadoop.mapred.SequenceFileRecordReader<MatrixIndexes,MatrixBlock>`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `org.apache.hadoop.mapred.RecordReader<MatrixIndexes,MatrixBlock>`
Overrides:
  `close` in class `org.apache.hadoop.mapred.SequenceFileRecordReader<MatrixIndexes,MatrixBlock>`
Throws:
  `IOException`